libmpq(3)

NAME
libmpq - cross-platform C library for manipulating mpq archives.

SYNOPSIS
#include <mpq.h>

int32_t libmpq__block_unpacked_size(
        mpq_archive_s  *mpq_archive,
        uint32_t        file_number,
        uint32_t        block_number,
        off_t          *unpacked_size
);

DESCRIPTION

Call libmpq__block_unpacked_size() to get the unpacked size of a given block in the file. It will return a valid size for compressed and imploded blocks as well as stored only.

The libmpq__block_unpacked_size() function takes as first argument the archive structure mpq_archive which have to be allocated first and opened by libmpq__archive_open(). The second argument file_number is the number of file, the third argument block_number is the number of block and the fourth argument is a reference to the uncompressed, exploded or stored size unpacked_size of block.

RETURN VALUE
On success, a zero is returned and on error one of the following constants.

LIBMPQ_ERROR_EXIST
    File or block does not exist in archive.

LIBMPQ_ERROR_OPEN
    Block offset table was not opened by calling libmpq__block_open_offset(), or it was closed by an libmpq__block_close_offset() call.

SEE ALSO
libmpq__archive_unpacked_size(3), libmpq__file_unpacked_size(3)

AUTHOR
Check documentation.

libmpq is (c) 2003-2008
    Maik Broemme <mbroemme@plusserver.de>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.